Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Get user notification settings

Prev Next
Get
/identity/users/{userId}/notificationSettings

Returns the options and preferences for notifications.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the target tenant (e.g. acme).

Path parameters
userId
stringRequired

The id fo the user whose notification settings must be retreived. Use 'me' for the current logged in user.

Minimum1.0
Exampleabcd1234
Responses
200

Successful operation.

Expand All
object

User notification settings.

channels
object

Delivery channels through which notifications can be sent.

email
boolean

Whether notifications are delivered via email.

push
boolean

Whether notifications are delivered via push notification.

allLocations
boolean

If true, notifications apply to all locations and the locationIds list is ignored.

allTopics
boolean

If true, notifications apply to all topics and the topics list is ignored.

severities
object

Severity levels for which notifications are enabled.

informational
boolean

Whether informational-severity notifications are enabled.

warning
boolean

Whether warning-severity notifications are enabled.

critical
boolean

Whether critical-severity notifications are enabled.

topics
Array of string

List of topics the subscription is limited to. Ignored when allTopics is true.

string

A topic name.

locationIds
Array of string

List of location identifiers the subscription is limited to. Ignored when allLocations is true.

string

A unique location identifier.

401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exeeded.

object
message
string

The error response.

ExampleAPI call rate limit exeeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error